name: pamyyssh
Summary: pamyyssh-0.92
Version: 0.92
Release: 8
Group: Applications/Editors
License: GPL
Source: pamyyssh_0.92.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}


%description
	Description: Support YY-secure-center dynamic verification code.

%prep
	rm -rf $RPM_BUILD_ROOT
	mkdir -p -m755 $RPM_BUILD_ROOT

%setup

%build
	gcc -g base64.c cJSON.c pam_yyssh.c -fPIC -shared -Wl,-soname,pam_yyssh.so -lm -lpam -L/usr/lib/x86_64-linux-gnu -lcurl -o ${RPM_BUILD_ROOT}/pam_yyssh.so

%install
	mkdir -p -m755 ${RPM_BUILD_ROOT}/etc/yyssh/
	mkdir -p -m755 ${RPM_BUILD_ROOT}/lib64/security/
	install -m 755 ${RPM_BUILD_ROOT}/pam_yyssh.so ${RPM_BUILD_ROOT}/lib64/security/
	install -m644 ${RPM_BUILD_DIR}/%{name}-%{version}/conf/sshd.pam.centos6.sample $RPM_BUILD_ROOT/etc/yyssh/
	install -m644 ${RPM_BUILD_DIR}/%{name}-%{version}/conf/pam_yyssh.sample.conf $RPM_BUILD_ROOT/etc/yyssh/
	rm -f ${RPM_BUILD_ROOT}/pam_yyssh.so

%clean
	rm -rf %RPM_BUILD_ROOT
	#rm -rf /usr/src/redhat/BUILD/*

%files
%defattr(-,root,root)
	/etc/yyssh
	/lib64/security/

%pre

%post
